classification
Title: Review additions to the stable ABI of Python 3.4
Type: Stage:
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: haypo, larry, loewis, ncoghlan, python-dev
Priority: release blocker Keywords:

Created on 2013-11-08 11:18 by haypo, last changed 2014-01-04 10:32 by loewis. This issue is now closed.

Messages (5)
msg202412 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-08 11:18
Example:

http://hg.python.org/cpython/rev/69071054b42f
PyAPI_FUNC(int) _PyDict_DelItemId(PyObject *mp, struct _Py_Identifier *key);

New functions added in this issue should also be reviewed (should them be part of the stable ABI?):

http://bugs.python.org/issue11619
http://hg.python.org/cpython/rev/df2fdd42b375
msg202413 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-11-08 11:20
"Priority: release blocker" means that it should be done at least before Python 3.4 final. It may be delayed after the beta1.
msg202416 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-08 13:07
New changeset bf9c77bac36d by Victor Stinner in branch 'default':
Issue #19512, #19526: Exclude the new _PyDict_DelItemId() function from the
http://hg.python.org/cpython/rev/bf9c77bac36d
msg207245 - (view) Author: Roundup Robot (python-dev) Date: 2014-01-03 20:37
New changeset 15bad3abfac9 by Martin v. Löwis in branch 'default':
Issue #19526: Exclude all new API from the stable ABI.
http://hg.python.org/cpython/rev/15bad3abfac9
msg207246 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-01-03 20:39
The procedure to obtain the new API was this: 

* write a C file 

#define Py_LIMITED_API
#include <Python.h>

* compile this with gcc -E | grep -v '#'

* diff and inspect the two preprocessor outputs. Ideally, they come out empty, but they currently show lots of (legitimate) const additions, and some reformattings
History
Date User Action Args
2014-01-04 10:32:11loewissetstatus: open -> closed
resolution: fixed
2014-01-03 20:40:00loewissetmessages: + msg207246
2014-01-03 20:37:14python-devsetmessages: + msg207245
2013-11-08 13:07:48python-devsetnosy: + python-dev
messages: + msg202416
2013-11-08 11:20:16hayposetpriority: normal -> release blocker
nosy: + larry
messages: + msg202413

2013-11-08 11:18:15haypocreate